Packages - Bug #3380

bluez: errors on upgrade
2022-12-02 12:25 PM - maddox

Status: info needed % Done:

Priority: bug
Assignee:

Category:

0%

Description

(123/668) upgrading blockdiag

0%

(124/668) upgrading bluez

0%

warning: directory permissions differ on /etc/bluetooth/

filesystem: 755 package: 555
History

#1 - 2022-12-06 02:15 PM - anonymous

This happens from time to time, because packages change: in this case file permissions have changed. This is not a problem. You can simply ignore

this or change the rights of access manually:

$ chmod -R 555 /etc/bluetooth/

#2 - 2022-12-21 06:22 PM - bill-auger

- Status changed from unconfirmed to info needed

yes, im inclined to see this as not-a-bug - only a helpful warning to the sysadmin - are there any ill-effects of it?

the curious thing to me, is that the warning appears to indicate that multiple packages may own the same directory (or that one package is
highly-opinionated WRT permissions of a directory owned by another package) - to me, it has a design smell - that would be a more general concern:

"what is the intended purpose of that message generically?", "why does pacman permit multiple packages to own the same directory?", or similar,

whatever the case may be

2024-03-13

1/1



http://www.tcpdf.org

